package com.ecep.contract.ds.customer.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.CustomerFileType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.CompanyCustomerFileTypeLocal;

@Repository
public interface CompanyCustomerFileTypeLocalRepository
        extends BaseEnumEntityRepository<CustomerFileType, CompanyCustomerFileTypeLocal, Integer> {

    @Override
    default CustomerFileType[] getEnumConstants() {
        return CustomerFileType.values();
    }

    @Override
    default CompanyCustomerFileTypeLocal newEntity() {
        return new CompanyCustomerFileTypeLocal();
    }
}